Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.aprs
Enum HurricaneEnum

    java.lang.Object
      java.lang.Enum<HurricaneEnum>
          org.ka2ddo.aprs.HurricaneEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HurricaneEnum>, EnumWithImageName, EnumWithUnits

    public enum HurricaneEnum

extends java.lang.Enum<HurricaneEnum>
implements EnumWithImageName, EnumWithUnits

Symbolic codes for different types of hurricane/tropical storm information. The letter codes correspond to the hurricane comments in APRS position reports, as defined in the APRS protocol specification, chapter 12.

See Also:
  `PositionReport`

Nested Class Summary
`static class` | `HurricaneEnum.StormType` Values allowed for type of storm in a hurricane position report.

Enum Constant Summary
`GUST` Peak gust speed of wind in storm in knots (nm/hr).
`PRESSURE` Barometric pressure at center of storm in hectoPascals (millibars).
`RADIUS_GALE` Radius of gale-force winds in nautical miles.
`RADIUS_HURRICANE` Radius of hurricane winds in nautical miles.
`RADIUS_TROP_STORM` Radius of tropical-storm-level winds in nautical miles.
`STORM_TYPE` Type of severe storm.
`SUSTAINED_WIND` Sustained windspeed of storm in knots (nm/hr).

Field Summary
`int` | `paramLen` Number of characters for parameter identified by this enum.

Method Summary
`static HurricaneEnum` | `getEnumForLetter(char ch)` Get the enumeration associated with the hurricane message letter code.
`java.lang.String` | `getImagePath()` Return the relative path name of the image file for this enum value.
`java.lang.Enum<?>` | `getUnit()` Get the unit (if any) for values for this WeatherEnum,
`float` | `getUnitScaling()` Get the scaling factor to apply to the unit for values for this WeatherEnum.
`static HurricaneEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HurricaneEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STORM_TYPE

    public static final HurricaneEnum STORM_TYPE

  Type of severe storm.

  See Also:
    `HurricaneEnum.StormType`

### SUSTAINED_WIND

    public static final HurricaneEnum SUSTAINED_WIND

  Sustained windspeed of storm in knots (nm/hr).

### GUST

    public static final HurricaneEnum GUST

  Peak gust speed of wind in storm in knots (nm/hr).

### PRESSURE

    public static final HurricaneEnum PRESSURE

  Barometric pressure at center of storm in hectoPascals (millibars).

### RADIUS_HURRICANE

    public static final HurricaneEnum RADIUS_HURRICANE

  Radius of hurricane winds in nautical miles.

### RADIUS_TROP_STORM

    public static final HurricaneEnum RADIUS_TROP_STORM

  Radius of tropical-storm-level winds in nautical miles.

### RADIUS_GALE

    public static final HurricaneEnum RADIUS_GALE

  Radius of gale-force winds in nautical miles.

Field Detail

### paramLen

    public final int paramLen

  Number of characters for parameter identified by this enum.

Method Detail

### values

    public static HurricaneEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HurricaneEnum c : HurricaneEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HurricaneEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getImagePath

    public java.lang.String getImagePath()

  Return the relative path name of the image file for this enum value.

  Specified by:
    `getImagePath` in interface `EnumWithImageName`
  Returns:
    path name String, or a two-character APRS symbol table ID and code

### getEnumForLetter

    public static HurricaneEnum getEnumForLetter(char ch)

  Get the enumeration associated with the hurricane message letter code.

  Parameters:
    `ch` - letter to match against the known enums
  Returns:
    HurricaneEnum corresponding to the letter, or null if not matching any known hurricane parameter

### getUnit

    public java.lang.Enum<?> getUnit()

  Get the unit (if any) for values for this WeatherEnum,

  Specified by:
    `getUnit` in interface `EnumWithUnits`
  Returns:
    unit Enum, or null if no unit known

### getUnitScaling

    public float getUnitScaling()

  Get the scaling factor to apply to the unit for values for this WeatherEnum.

  Returns:
    float scale factor to apply to unit for displaying value, or Float.NaN if no unit

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD